Bug 455718 - easily fixable build problems (current git)
easily fixable build problems (current git)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: andrew.cagney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-17 08:13 EDT by Denys Vlasenko
Modified: 2008-10-27 18:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 18:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denys Vlasenko 2008-07-17 08:13:28 EDT
I just built current git head of frysk following instructions at
http://sourceware.org/frysk/build/ .

Section "Set up your system's build environment" probably need to mention that
one also need to install these:
yum install glibc-devel.i386
yum install libgcc.i386
yum install libstdc++.i386

Section "Run" says
frysk can then either be run from the build tree ...
$ ./build/frysk-gui/frysk/gui/FryskGui
...

but it does not work:

$ ./build/frysk-gui/frysk/gui/FryskGui
Exception in thread "main" java.lang.UnsatisfiedLinkError: libEggTrayIcon:
libEggTrayIcon.so: cannot open shared object file: No such file or directory

"cd build/frysk-gui; frysk/gui/FryskGui" works.
Comment 1 Christopher D. Stover 2008-10-26 23:01:09 EDT
Denys, you're trying to install this from source?  If you're having problems with source, you should pass this upstream.  frysk-0.4-0.fc10 is available as an rpm, just do 'yum install frysk'.  Please let me know if this addresses your problem or not so we can close this.
Comment 2 andrew.cagney 2008-10-27 18:15:27 EDT
(In reply to comment #0)

> but it does not work:
> 
> $ ./build/frysk-gui/frysk/gui/FryskGui
> Exception in thread "main" java.lang.UnsatisfiedLinkError: libEggTrayIcon:
> libEggTrayIcon.so: cannot open shared object file: No such file or directory
> 
> "cd build/frysk-gui; frysk/gui/FryskGui" works.

Right, the in-tree version of the GUI can only be run from the frysk-gui directory.

Note You need to log in before you can comment on or make changes to this bug.